Bug 51567 - XamlC: "The given key was not present in the dictionary." in some xaml files
Summary: XamlC: "The given key was not present in the dictionary." in some xaml files
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.4
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-01-17 09:30 UTC by Michael Rumpler
Modified: 2017-01-25 14:16 UTC (History)
3 users (show)

See Also:
Tags: AC XamlC
Is this bug a regression?: Yes
Last known good build: 2.3.3.180


Attachments
Repro project (210.60 KB, application/x-zip-compressed)
2017-01-17 09:30 UTC, Michael Rumpler
Details

Description Michael Rumpler 2017-01-17 09:30:43 UTC
Created attachment 19362 [details]
Repro project

After upgrading from Xamarin.Forms 2.3.3 to 2.3.4.184-pre1 I get the error:

    ...\Repro.KeyNotFound.App.xaml : error : The given key was not present in the dictionary.

In my main project I also get this error in two other xaml files.

As I don't know, what key it is missing I copied the whole app.xaml to the repro project.

I use XamlC in my solution and in the repro project. If I disable XamlC in the repro project, then it works. That project doesn't use all the styles I define in the app.xaml. My own solution crashes on start.

I tested on iOS and Android and both behave the same.
Comment 1 Stephane Delcroix 2017-01-17 15:35:02 UTC
see https://github.com/xamarin/Xamarin.Forms/pull/684
Comment 2 Stephane Delcroix 2017-01-25 14:16:23 UTC
this will be fixed in 2.3.4-pre2

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.